From 38b4a75d069c55b514c888f00dd575ba96fcebb9 Mon Sep 17 00:00:00 2001
From: Daniel Wendt <daniel.wendt@linux.com>
Date: Mon, 3 Dec 2018 16:39:55 +0100
Subject: [PATCH 1/2] user32: delete global atom on message WM_NCDESTROY

Wine-Bug: https://bugs.winehq.org/show_bug.cgi?id=46234
---
 dlls/user32/desktop.c | 5 +++++
 1 file changed, 5 insertions(+)

diff --git a/dlls/user32/desktop.c b/dlls/user32/desktop.c
index fe6649446e..717173cd4e 100644
--- a/dlls/user32/desktop.c
+++ b/dlls/user32/desktop.c
@@ -127,6 +127,11 @@ LRESULT WINAPI DesktopWndProc( HWND hwnd, UINT message, WPARAM wParam, LPARAM lP
         }
         return TRUE;
     }
+    case WM_NCDESTROY:
+    {
+        ATOM atom = GetPropW( hwnd, display_device_guid_propW );
+        if (atom) GlobalDeleteAtom( atom );
+    }
     case WM_NCCALCSIZE:
         return 0;
     default:
-- 
2.19.2

